# $Revision: 1.9 $, $Date: 2005/12/31 10:36:33 $
Summary:	Semi-standard extensions to Ruby
Summary(pl):	Pstandardowe rozszerzenia dla Ruby
Name:		ruby-extensions
Version:	0.6.0
Release:	2
License:	GPL
Group:		Development/Languages
Source0:	http://rubyforge.org/frs/download.php/2144/extensions-%{version}.tgz
# Source0-md5:	f9deb99d623d74b47a536414baa4d1d2
URL:		http://extensions.rubyforge.org/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
extensions provides utilites to assist the process of developing Ruby
programs. At the moment, the target areas are debugging and unit
testing (planned).

%description -l pl
extensions udostpnia narzdzia wspomagajce proces rozwoju programw
w Ruby. Obecnie docelowymi obszarami s: debugowanie i testowanie
moduw (w planach).

%prep
%setup -q -n extensions-%{version}

%build
ruby install.rb config \
	--rb-dir=%{ruby_rubylibdir} \
	--so-dir=%{ruby_archdir}

ruby install.rb setup

rdoc -o rdoc/ --main README README lib/* --title "%{name} %{version}" --inline-source
rdoc --ri -o ri lib/*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir}}

ruby install.rb install --prefix=$RPM_BUILD_ROOT

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc rdoc/*
%attr(755,root,root) %{_bindir}/rbxtm
%{ruby_rubylibdir}/extensions
# Does not merge well with others.
#%{ruby_ridir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-extensions.spec,v $
Revision 1.9  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.8  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.7  2005/12/27 10:07:59  twittner
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.6  2005/12/27 09:37:07  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.5  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.4  2004/12/08 18:36:54  aredridel
- up to 0.6.0
- Oh, GForge, how I loathe thee.

Revision 1.3  2004/10/30 10:45:02  qboosh
- spacing

Revision 1.2  2004/10/30 08:49:12  ankry
- pl, formatting

Revision 1.1  2004/10/28 05:25:26  aredridel
- added
